卖萌哥

V1

2022/10/10阅读:41主题:橙心

如何更新centos服务器的R语言版本到4.1.0(需要root权限)

首先声明这个办法需要有root权限,如果你没有权限的话那就不用继续往下看了。如果你刚好有,那么这个流程可能是最简单的流程了。

我们组的服务器的R版本以前一直是4.0.3,但是由于软件一直在升级,导致我们实验室开发的TSSr无法在4.0及以下的R版本上安装,必须要高于4.1.0才可以,因此要升级一下默认的R的版本。我也尝试过用conda安装的R4.1.0,但是在安装包的时候一直会遇到奇怪的报错,无法解决。因此就打算更新一下系统默认的R包。

可参考的教程:

https://docs.rstudio.com/resources/install-r/#

下载R的安装包

export R_VERSION=4.1.0
curl -O https://cdn.rstudio.com/r/centos-7/pkgs/R-${R_VERSION}-1-1.x86_64.rpm

这里如果你要下载更新的版本,比如4.1.3,只要 export R_VERSION= 的地方填入你需要的版本号就可以了。

用yum安装下载好的R

 sudo yum install R-${R_VERSION}-1-1.x86_64.rpm

默认是安装到 /opt/R 的下面。

 tree -L 3 /opt/R
/opt/R
├── 4.0.3 #这个是之前的版本
│   ├── bin
│   │   ├── R
│   │   └── Rscript
│   ├── lib
│   │   ├── pkgconfig
│   │   └── R
│   └── share
│       └── man
└── 4.1.0 #这个是新的版本
    ├── bin
    │   ├── R
    │   └── Rscript
    ├── lib
    │   ├── pkgconfig
    │   └── R
    └── share
        └── man

14 directories, 4 files

接下来看看我们在命令行里默认调用的R是哪一个:

which R
ll /usr/local/bin/R
看看调用的是哪个R
看看调用的是哪个R

看来默认调用的R是在/usr/local/bin/文件夹下的,它是软连接了一个4.0.3的R。

那么很简单,只要把这个软连接删了,再重新链接一下即可。

# 删除掉原来的软链接
sudo rm /usr/local/bin/R
# 新建新的软连接
sudo ln -s /opt/R/4.1.0/bin/R /usr/local/bin/R
删除掉原来的,重新链接
删除掉原来的,重新链接

这时候再执行一下R就能看到默认激活的R是4.1.0版本了

大功告成
大功告成

更改Rstudio所使用的R版本

之前指定的conda安装的R 4.1.0无法正常使用,现在更新成系统默认的R

打开 vim /etc/rstudio/rserver.conf

sudo vim /etc/rstudio/rserver.conf

写入这句话到文件里即可:

rsession-which-r=/usr/local/bin/R

接下来重启一下Rstudio

sudo rstudio-server restart

就大功告成啦~

分类:

工具介绍

标签:

开源软件

作者介绍

卖萌哥
V1